> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Brand Settings

> Configure platform branding.

## Get brand settings

`GET /api/brand-settings`

Manage platform branding including logo, colors, and company name.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

***

## Create brand settings

`POST /api/brand-settings`

```json theme={null}
{
  "logo": "https://cdn.example.com/logo.png",
  "darkLogo": "https://cdn.example.com/logo-dark.png",
  "primaryColor": "#16A34A",
  "secondaryColor": "#15803D",
  "companyName": "My Company",
  "tagline": "WhatsApp Marketing Platform",
  "favicon": "https://cdn.example.com/favicon.ico",
  "loginBackground": "https://cdn.example.com/bg.jpg"
}
```

***

## Update brand settings

`PUT /api/brand-settings`

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/brand-settings \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "primaryColor": "#2563EB", "companyName": "Updated Name" }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.